/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.services.admin.directory.model;

import com.google.api.client.json.GenericJson;

/**
 * JSON template for Member resource in Apps Directory API.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Admin Directory API. For a detailed explanation see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * <p>
 * Upgrade warning: starting with version 1.12 {@code getResponseHeaders()} is removed, instead use
 * {@link com.google.api.client.http.json.JsonHttpRequest#getLastResponseHeaders()}
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class Member extends GenericJson {

  /**
   * Email of member
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String email;

  /**
   * Unique identifier of group (Read-only) Unique identifier of member (Read-only)
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String id;

  /**
   * Kind of resource this is.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String kind;

  /**
   * Role of member
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String role;

  /**
   * Type of member (Immutable)
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String type;

  /**
   * Email of member
   * The value returned may be {@code null}.
   */
  public String getEmail() {
    return email;
  }

  /**
   * Email of member
   * The value set may be {@code null}.
   */
  public Member setEmail(String email) {
    this.email = email;
    return this;
  }

  /**
   * Unique identifier of group (Read-only) Unique identifier of member (Read-only)
   * The value returned may be {@code null}.
   */
  public String getId() {
    return id;
  }

  /**
   * Unique identifier of group (Read-only) Unique identifier of member (Read-only)
   * The value set may be {@code null}.
   */
  public Member setId(String id) {
    this.id = id;
    return this;
  }

  /**
   * Kind of resource this is.
   * The value returned may be {@code null}.
   */
  public String getKind() {
    return kind;
  }

  /**
   * Kind of resource this is.
   * The value set may be {@code null}.
   */
  public Member setKind(String kind) {
    this.kind = kind;
    return this;
  }

  /**
   * Role of member
   * The value returned may be {@code null}.
   */
  public String getRole() {
    return role;
  }

  /**
   * Role of member
   * The value set may be {@code null}.
   */
  public Member setRole(String role) {
    this.role = role;
    return this;
  }

  /**
   * Type of member (Immutable)
   * The value returned may be {@code null}.
   */
  public String getType() {
    return type;
  }

  /**
   * Type of member (Immutable)
   * The value set may be {@code null}.
   */
  public Member setType(String type) {
    this.type = type;
    return this;
  }

}
